<?php

if(!empty($_FILES)) {

    $images = new imageManager($db);
    $images->upload($_FILES);

    $file = $_FILES['upload_form']['name'][0];

    if($images !== true) {

        $message = '<p class="msg_error">Seules les fichiers jpg qui ont une taille inférieurs ou égal à 70 000 000 Octets sont autorisés.</p>';
    }
}


// Les valeurs sont elles postées ?

if(!isset($_POST['submit_form'])) {

    $message = '<p class="msg_error">Aucune donnée n\'est fournie.<a href="' . WEB_DIR_URL . 'admin/upload.php">retour</a></p>';
}

if(isset($_POST['submit_form'])) {

    $title_form = htmlspecialchars(trim($_POST['title_form']));
    $descr_form = htmlspecialchars(trim($_POST['descr_form']));
    
    // Cas où les valeurs sont postées.

    // Si une des valeurs est vide.
  
    if((empty($title_form)) OR (empty($descr_form))) {
        
        $message = '<p class="msg_error">Une des informations est manquante.<a href="' . WEB_DIR_URL . 'admin/upload.php">retour</a></p>';
    }
    else {
        
        $images_data = array(
            
            'imgID' => 1,
            'title' => $title_form,
            'descr' => $descr_form,
            'filename' => htmlspecialchars($file)
        );
    
        $image_data = new Image($images_data);

        $manager = new imageManager($db);

        if(!$manager->readImageData($file)) {
            
            $manager->createImageData($image_data);

            $message = '<p class="msg_success">Les informations ont bien été enregistrées dans la base de données.</p>';

            echo '<p><a href="admin/update-image.php">Mise à jour des données</a></p>';
        }
        else {

            $message = '<p class="msg_error">Une erreur est survenue lors de l\'enregistrement des données dans la base.<br>
                                             Aucune information n\'a été enregistrée.</p>';
        }
    }
}